For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet returns
          • GETGet returns for an order
          • GETGet return
          • PUTCreate a return
          • GETGet the refunded amounts for the return
          • POSTMark the return as complete
          • POSTReport errors encountered when processing the return refund
LogoLogo
RESTFeedAMP Order SourceReturns

Mark the return as complete

POST
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/:mp_order_number/returns/:mp_return_number/complete
POST
/api/v1/orders/:mp_order_number/returns/:mp_return_number/complete
$curl -X POST https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/complete \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Report the return was successfully processed and is now considered complete.
Was this page helpful?
Previous

Get the refunded amounts for the return

Next

Report errors encountered when processing the return refund

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace
mp_return_numberstringRequired
The unique Id for the return that is generated by the marketplace

Request

This endpoint expects an object.

Response

Updated Return Status

Errors

401
Unauthorized Error
404
Not Found Error